aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-09-03 14:53:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-09-22 09:49:43 +0000
commit3d9a6da9cb042b3e2ddc8d5d078c942101f23068 (patch)
treef8b81c6db3e9d1d6f4536d9764d5471158be018c
parentc7e0974380cf635c817471717fd79b854403fdf4 (diff)
downloadaports-3d9a6da9cb042b3e2ddc8d5d078c942101f23068.tar.bz2
aports-3d9a6da9cb042b3e2ddc8d5d078c942101f23068.tar.xz
main/gst-plugins-base: upgrade to 0.10.30
(cherry picked from commit 2e3cf4b547ad8c777392437dce87d408384c0594)
-rw-r--r--main/gst-plugins-base/APKBUILD18
1 files changed, 13 insertions, 5 deletions
diff --git a/main/gst-plugins-base/APKBUILD b/main/gst-plugins-base/APKBUILD
index cb92491f12..2591eb5fc0 100644
--- a/main/gst-plugins-base/APKBUILD
+++ b/main/gst-plugins-base/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gst-plugins-base
-pkgver=0.10.29
-pkgrel=2
+pkgver=0.10.30
+pkgrel=0
pkgdesc="GStreamer Multimedia Framework Base Plugins"
url="http://gstreamer.freedesktop.org/"
license="GPL LGPL"
@@ -14,9 +14,17 @@ makedepends="pkgconfig gstreamer-dev alsa-lib-dev libvorbis-dev liboil-dev
source="http://gstreamer.freedesktop.org/src/$pkgname/$pkgname-$pkgver.tar.bz2"
depends_dev="gstreamer-dev"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # fix building with gnu make 3.82
+ find -name Makefile.in | xargs sed -i -e "s/^ /\t/" || return 1
+}
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
@@ -30,8 +38,8 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
}
-md5sums="d07e251152cccbaa81807c14cf0fd8c0 gst-plugins-base-0.10.29.tar.bz2"
+md5sums="3ad90152b58563e1314af26c263f3c4c gst-plugins-base-0.10.30.tar.bz2"